petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatFactorCreateSchurComplement

Create a Schur complement matrix object using Schur data computed during the factorization step

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFactorCreateSchurComplement(Mat F,Mat* S)

Logically Collective on Mat Many br

### Input Parameters

| F | - the factored matrix obtained by calling MatGetFactor() from PETSc-MUMPS interface Many br
| *S | - location where to return the Schur complement (MATDENSE) Many br

### Notes

The routine provides a copy of the Schur data stored within solver's data strutures. The caller must destroy the object when it is no longer needed. Many brIf MatFactorInvertSchurComplement has been called, the routine gets back the inverse Many br

Many br

### References

### See Also

MatGetFactor(), MatFactorSetSchurIS(), MatFactorGetSchurComplement()

Level:advanced
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages